package icu.fur93.esp32_car

sealed class Route(
    val route: String,
    val title: String = route
) {
    object Home : Route(
        route = "home",
        title = "首页"
    )
    object Settings : Route(
        route = "settings",
        title = "设置"
    )
    
    // Control 相关路由
    object Control : Route(
        route = "control",
        title = "控制"
    )
    object ControlPathfinderMode : Route(
        route = "control/pathfinder",
        title = "循迹模式"
    )
    object ControlSingleJoystickMode : Route(
        route = "control/single_joystick",
        title = "单摇杆模式"
    )
    object ControlGamepadMode : Route(
        route = "control/gamepad",
        title = "单向按键模式"
    )
}