package icu.fur93.esp32_car.data

import android.content.Context
import androidx.datastore.core.DataStore
import androidx.datastore.preferences.core.Preferences
import androidx.datastore.preferences.core.edit
import androidx.datastore.preferences.core.stringPreferencesKey
import androidx.datastore.preferences.preferencesDataStore
import kotlinx.coroutines.flow.Flow
import kotlinx.coroutines.flow.map

private val Context.dataStore: DataStore<Preferences> by preferencesDataStore(name = "settings")

class PreferencesDataStore(private val context: Context) {
    private val lastConnectedDevice = stringPreferencesKey("last_connected_device")

    suspend fun saveLastConnectedDevice(address: String) {
        context.dataStore.edit { preferences ->
            preferences[lastConnectedDevice] = address
        }
    }

    fun getLastConnectedDevice(): Flow<String?> {
        return context.dataStore.data.map { preferences ->
            preferences[lastConnectedDevice]
        }
    }
} 