package icu.fur93.esp32_car.ui.card

import androidx.compose.material3.Button
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import icu.fur93.esp32_car.ui.component.CardItem
import icu.fur93.esp32_car.ui.component.StatusCard
import icu.fur93.esp32_car.ui.component.StatusCardItemText
import icu.fur93.esp32_car.ui.dialog.BleDeviceScanDialog
import icu.fur93.esp32_car.viewmodel.CarViewModel

@Composable
fun UnconnectedStatusCard(viewModel: CarViewModel) {
    var showScanDialog by remember { mutableStateOf(false) }

    StatusCard(
        cardItems = listOf(
            CardItem(
                title = "设备未连接",
                content = {
                    StatusCardItemText("请先连接设备")
                }
            )
        ),
        bottomControl = {
            Button(
                onClick = {
                    showScanDialog = true
                }
            ) {
                Text("连接设备")
            }
        }
    )

    BleDeviceScanDialog(
        isVisible = showScanDialog,
        onDismiss = { showScanDialog = false },
        viewModel = viewModel
    )
}