package icu.fur93.esp32_car.ui.carditem

import android.annotation.SuppressLint
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import icu.fur93.esp32_car.ui.component.CardItem
import icu.fur93.esp32_car.ui.component.StatusCardItemText
import icu.fur93.esp32_car.entity.car.InfraredState

@SuppressLint("ComposableNaming")
@Composable
fun StatusCardInfraredStatus(infraredState: InfraredState): CardItem {
    return CardItem(
        title = "红外模块状态",
        content = {
            if (infraredState.enable) {
                Row(
                    modifier = Modifier.fillMaxWidth(),
                    horizontalArrangement = Arrangement.SpaceBetween
                ) {
                    infraredState.statusList.forEach { status ->
                        StatusCardItemText(status.toString())
                    }
                }
            } else {
                StatusCardItemText("未启用")
            }
        }
    )
}