package icu.fur93.esp32_car.ui.carditem

import android.annotation.SuppressLint
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import icu.fur93.esp32_car.ui.component.CardItem
import icu.fur93.esp32_car.ui.component.StatusCardItemText
import icu.fur93.esp32_car.entity.car.UltrasoundState

@SuppressLint("ComposableNaming")
@Composable
fun StatusCardUltrasoundStatus(ultrasoundState: UltrasoundState): CardItem {
    return CardItem(
        title = "超声波状态",
        content = {
            if (ultrasoundState.enable) {
                Row(
                    modifier = Modifier.fillMaxWidth()
                ) {
                    Column(Modifier.weight(1f)) {
                        StatusCardItemText("舵机角度  ${ultrasoundState.servoAngle}")
                    }
                    Column(Modifier.weight(1f)) {
                        StatusCardItemText("障碍距离  ${ultrasoundState.distance}")
                    }
                }
            } else {
                StatusCardItemText("未启用")
            }
        }
    )
}