package icu.fur93.esp32_car.ui.carditem

import android.annotation.SuppressLint
import androidx.compose.foundation.lazy.grid.GridCells
import androidx.compose.foundation.lazy.grid.LazyVerticalGrid
import androidx.compose.runtime.Composable
import icu.fur93.esp32_car.ui.component.CardItem
import icu.fur93.esp32_car.ui.component.StatusCardItemText
import icu.fur93.esp32_car.entity.car.CarState

@SuppressLint("ComposableNaming")
@Composable
fun StatusCardMotorStatus (carState: CarState) : CardItem {
    return CardItem(
        title = "电机状态",
        content = {
            LazyVerticalGrid(
                columns = GridCells.Fixed(2)
            ) {
                item {
                    StatusCardItemText("A  ${carState.motorAState.in1} ${carState.motorAState.in2} ${carState.motorAState.pwm}")
                }
                item {
                    StatusCardItemText("D  ${carState.motorDState.in1} ${carState.motorDState.in2} ${carState.motorDState.pwm}")
                }
                item {
                    StatusCardItemText("B  ${carState.motorBState.in1} ${carState.motorBState.in2} ${carState.motorBState.pwm}")
                }
                item {
                    StatusCardItemText("C  ${carState.motorCState.in1} ${carState.motorCState.in2} ${carState.motorCState.pwm}")
                }
            }
        }
    )
}