package icu.fur93.esp32_car.ui.component

import android.annotation.SuppressLint
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.height
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import icu.fur93.esp32_car.ui.theme.PageTitleTextStyle

@Composable
fun PageTitle(
    text: String,
    @SuppressLint("ModifierParameter") modifier: Modifier? = null
) {
    if (modifier != null) {
        Text(
            text = text,
            style = PageTitleTextStyle,
            modifier = modifier
        )
    } else {
        Text(
            text = text,
            style = TextStyle(
                fontSize = 32.sp,
                fontWeight = FontWeight.Black
            )
        )
        Spacer(Modifier.height(24.dp))
    }

}